# class RSS::Maker::RSS20::Channel::Cloud

### Public Instance Methods

to_feed(rss, channel) click to toggle source

    # File lib/rss/maker/2.0.rb, line 33
    def to_feed(rss, channel)
      cloud = Rss::Channel::Cloud.new
      set = setup_values(cloud)
      if set
        channel.cloud = cloud
        set_parent(cloud, channel)
        setup_other_elements(rss, cloud)
      end
    end

### Private Instance Methods

required_variable_names() click to toggle source

    # File lib/rss/maker/2.0.rb, line 44
    def required_variable_names
      %w(domain port path registerProcedure protocol)
    end